<template>
    <div class="pos-status">
        <div class="status" :class="{'status-active': !haveOverdue, 'status-overdue': haveOverdue, 'status-no-active': !$POS.schedule.length}">
            <SVGIcon :xlink="status.xlink" :fill="status.color"></SVGIcon>
            {{status.statusText}}
        </div>
        <div class="documents" @click="openDocumentsList">
            <SVGIcon xlink="docs-20" :fill="$theme.colors.blue"></SVGIcon>
            Документы
        </div>

        <pos-modal-document-list/>
    </div>
</template>

<script>
    import SVGIcon from '@/components/SVGIcon';
    import PosScheduleMixin from '../mixins/schedule';
    import PosModalDocumentList from '../modal/document-list.vue';
	export default {
		name: 'component-pos-status',
        mixins: [
			/**
             * @type iScheduleMixin
			 */
			PosScheduleMixin
        ],
        components: {
        	SVGIcon,
            PosModalDocumentList
        },


        computed: {
        	status () {
        		if(this.$POS.schedule.length) {
        			if(this.haveOverdue) {
        				return {
        					xlink: 'status-6-overdue',
                            color: this.$theme.colors.statusRed,
                            statusText: 'Просрочен'
                        }
                    } else {
        				return {
        					xlink: 'status-6',
                            color: this.$theme.colors.statusGreen,
                            statusText: 'Есть активный займ'
                        }
                    }
                } else {
        			return {
        				xlink: 'check-mark-24',
                        color: this.$theme.colors.statusAwait,
                        statusText: 'Нет активных займов'
                    }
                }
            }
        },

        methods: {
        	openDocumentsList () {
                this.$modal.show('pos-modal-document-list');
            }
        }
	};
</script>

<style scoped>

</style>
